Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Compiling, Linking, Debugging of your packages » Need help compiling UPP tarball on Linux Mint 17 Qiana (Compiling UPP tarball on Linux Mint 17 Qiana fails)
Need help compiling UPP tarball on Linux Mint 17 Qiana [message #43642] Wed, 17 September 2014 14:12 Go to next message
jfranks is currently offline  jfranks
Messages: 36
Registered: September 2014
Location: Houston, Texas
Member
Hi,

I'm trying to compile the latest UPP tarball on a 64 bit Linux Mint 17 Qiana and ran into an
error building from the command line. Can someone help?

g++ --version = g++ (Ubuntu 4.8.2-19ubuntu1) 4.8.2

So far I've installed additional libraries to resolve some build errors like missing header files.
Linux: install build-essential package
Linux: install zlib-dev
Linux: install libghc-gtk-dev

make from command line now produces the following error, which I don't know how to resolve:

... snip ...
mkdir -p _out/plugin/bmp//home/upp/Scripts/GCCMK.bm-Gcc-Gui-Linux-Mt- Posix-Shared/
mkdir -p _out/RichText//home/upp/Scripts/GCCMK.bm-Gcc-Gui-Linux-Mt-Po six-Shared/
mkdir -p _out/plugin/png//home/upp/Scripts/GCCMK.bm-Gcc-Gui-Linux-Mt- Posix-Shared/
c++ -c -x c++ -O3 -ffunction-sections -fdata-sections -I./ -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/X11R6/include -I/usr/X11R6/include/freetype2 -I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/include/glib-2.0 -I/usr/X11R6/lib/glib-2.0/include -I/usr/X11R6/lib/gtk-2.0/include -I/usr/X11R6/include/cairo -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -DflagGUI -DflagMT -DflagGCC -DflagSHARED -DflagLINUX -DflagPOSIX -DflagMAIN ide/BaseDlg.cpp -o _out/ide//home/upp/Scripts/GCCMK.bm-Gcc-Gui-Linux-Main-Mt-Po six-Shared/BaseDlg.o
In file included from ./ide/Core/Core.h:4:0,
from ./ide/Common/Common.h:4,
from ide/ide.h:4,
from ide/BaseDlg.cpp:1:
./Esc/Esc.h: In member function 'bool Upp::EscValue::IsNumber() const':
./Esc/Esc.h:57:91: error: no matching function for call to 'findarg(const int&, Upp::<anonymous enum>, Upp::<anonymous enum>)'
bool IsNumber() const { return findarg(type, ESC_DOUBLE, ESC_INT64) >= 0; }
^
./Esc/Esc.h:57:91: note: candidates are:
In file included from ./Core/Core.h:244:0,
from ./Esc/Esc.h:4,
from ./ide/Core/Core.h:4,
from ./ide/Common/Common.h:4,
from ide/ide.h:4,
from ide/BaseDlg.cpp:1:
./Core/Defs.h:244:5: note: template<class T, class T1> int Upp::findarg(const T&, const T1&)
int findarg(const T& x, __List##I(E__NFValue)) \
^
./Core/Defs.h:53:22: note: in expansion of macro 'E__NFBody'
#define __Expand1(x) x(1)
^
./Core/Defs.h:54:23: note: in expansion of macro '__Expand1'
#define __Expand2(x) __Expand1(x) x(2)
^
... snip ....

Where should I look to try and resolve this issue?

regards,
Jeff Franks
Re: Need help compiling UPP tarball on Linux Mint 17 Qiana [message #43656 is a reply to message #43642] Thu, 18 September 2014 08:46 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 12105
Registered: November 2005
Ultimate Member
Download a new tarball... Smile

You was unlucky enough to hit the broken one. Was fixed yesterday.

Mirek
Re: Need help compiling UPP tarball on Linux Mint 17 Qiana [message #43676 is a reply to message #43656] Fri, 19 September 2014 14:23 Go to previous message
jfranks is currently offline  jfranks
Messages: 36
Registered: September 2014
Location: Houston, Texas
Member
Yes, that resolved the problem.

I switched to upp-x11-src-7699.tar.gz.
This is now built, installed, and theide runs okay.

I compiled the animated hello world and it works.

Thank you for your help.

regards,
Jeff Franks
Previous Topic: Problems debugging with Visual C++
Next Topic: Cannot compile core console project?
Goto Forum:
  


Current Time: Wed Nov 20 07:50:33 CET 2019

Total time taken to generate the page: 0.01469 seconds